package com.steerinfo.baseinfo.meterbaserailwaycarriageweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MeterBaseRailwayCarriageWeight implements IBasePO<String> {
    /**
     * 主键编号(CARRIAGE_WEIGHT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号",required=true)
    private String carriageWeightNo;

    /**
     * 火车车厢编号(CARRIAGE_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="火车车厢编号",required=false)
    private String carriageCode;

    /**
     * 车厢重量(CARRIAGE_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="车厢重量",required=false)
    private Long carriageWeight;

    /**
     * 状态(0:有效 1:无效)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(0:有效 1:无效)",required=false)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 车厢名称(CARRIAGE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="车厢名称",required=false)
    private String carriageName;


    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.carriageWeightNo;
    }

    @Override
    public void setId(String carriageWeightNo) {
        this.carriageWeightNo = carriageWeightNo == null ? null : carriageWeightNo.trim();
    }

    public String getCarriageWeightNo() {
        return carriageWeightNo;
    }

    public void setCarriageWeightNo(String carriageWeightNo) {
        this.carriageWeightNo = carriageWeightNo == null ? null : carriageWeightNo.trim();
    }

    public String getCarriageCode() {
        return carriageCode;
    }

    public void setCarriageCode(String carriageCode) {
        this.carriageCode = carriageCode == null ? null : carriageCode.trim();
    }

    public Long getCarriageWeight() {
        return carriageWeight;
    }

    public void setCarriageWeight(Long carriageWeight) {
        this.carriageWeight = carriageWeight;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCarriageName() {
        return carriageName;
    }

    public void setCarriageName(String carriageName) {
        this.carriageName = carriageName == null ? null : carriageName.trim();
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", carriageWeightNo=").append(carriageWeightNo);
        sb.append(", carriageCode=").append(carriageCode);
        sb.append(", carriageWeight=").append(carriageWeight);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", carriageName=").append(carriageName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}